#32/64bit

Name: kde-plasma-addons-redshift	
Version: 1.0
Release: %mkrel 1

Summary: Redshift plasmoid
License: GPLv3
Group:  Graphical desktop/KDE4
URL:	http://simgunz.org/projects/redshift-plasmoid/
Source0: redshift-plasmoid-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: cmake 
BuildRequires: kdelibs-devel
Requires: kde-workspace-core
Requires: redshift

%description
Redshift plasmoid provides a configuration interface and allows to start/stop 
Redshift daemon either manually or automatically based on the current activity.

%prep
%setup -q -n redshift-plasmoid-%{version}


%build
mkdir build
pushd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} ..
%make
popd


%install
rm -rf $RPM_BUILD_ROOT
pushd build
%makeinstall_std
popd

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/redshiftautostart
%{_libdir}/kde4/*.so
%{_datadir}/apps/plasma/services/redshift.operations
%{_datadir}/autostart/RedshiftAutostart.desktop
%{_datadir}/config.kcfg/redshift.kcfg
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/kde4/services/*.desktop

%changelog
* Tue Feb 02 2016 bb <bb> 1.0-1pclos2016
- update

* Fri Nov 22 2013 bb <bb> 0.6.1-1pclos2013
- update

* Sun Nov 10 2013 bb <bb> 0.6-3pclos2013
- rebuild for new kde4

